import request from '/@/utils/request';

export function emergencyPlanApi() {
    return {
        // 应急预案管理一览
        getEmergencyPlanList: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + '/emergencyPlan/page/list',
                method: 'post',
                data: params
            });
        },
        // 应急预案管理新增
        addEmergencyPlan: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyPlan/add`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍详情
        seeEmergencyTeam: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyPlan/info/${params}`,
                method: 'get'
            });
        },
        // 应急队伍编辑
        editEmergencyTeam: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyPlan/update`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍删除
        deleteEmergencyTeam: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyPlan/batchDelete`,
                method: 'post',
                data: params
            });
        },
        // 应急队伍废止
        EmergencyTeam: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyPlan/updateAbolish?id=${params}&abolishStatus=true`,
                method: 'get'
            });
        },
        // 应急队伍还原
        reductionEmergencyTeam: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyPlan/updateAbolish?id=${params}&abolishStatus=false`,
                method: 'get'
            });
        },
        // 应急预案管理审批新增
        approvalEmergencyPlan: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyWorkApprove/add`,
                method: 'post',
                data: params
            });
        },
        // 应急预案管理审批修改
        editApprovalEmergencyPlan: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyWorkApprove/update`,
                method: 'post',
                data: params
            });
        },
        // 应急预案管理审批查看
        approvalProcessEmergencyPlan: (params: number) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyWorkApprove/info/${params}`,
                method: 'get',
                data: params
            });
        },
        // 审批一览
        processEmergencyPlan: (params: object) => {
            return request({
                url: import.meta.env.VITE_API_URL_OUT + `/emergencyWorkApprove/page/list`,
                method: 'post',
                data: params
            });
        }
    };
}
